-- Exemplo 1 - Porta AND - 2 entradas - Testbench
-- Arquitetura de Computadores
-- Prof. Erivelton
library ieee;
use ieee.std_logic_1164.all;
  
entity tb_PortaAND2to1 is
end tb_PortaAND2to1;
 
architecture behavior of tb_PortaAND2to1 is 
	-- Declaração de componente de: Unit Uder Test (UUT)
	component PortaAND2to1
	port 
	(
		a	: in std_logic;
		b       : in std_logic;
		saida	: out std_logic
	);
    end component;
	-- Sinais
	signal a : std_logic;
	signal b : std_logic;
	signal saida : std_logic;
	begin
	-- Definição the Unit Under Test (UUT)
	uut: PortaAND2to1 port map 
	(
		a => a,
		b => b,
		saida => saida
	);
	-- Stimulus process
	stim_proc: process
	begin
		-- insert stimulus here 		
		wait for 5 ns;	
			a <= '0';
            b <= '0';
		wait for 5 ns;	
			a <= '1';
            b <= '0';
		wait for 5 ns;
			a <= '0';
            b <= '1';
		wait for 5 ns;
			a <= '1';
            b <= '1';
		wait;
   end process;
end architecture;
